<?php
$page_name = 'Управление скриншотами';
$page_keys = 'Управление скриншотами';
$page_desc = 'Управление скриншотами';
$online_title = 'На странице управления скриншотами';
$online_url = '/account/';
$page_right = '<div class="header-buttons"><div class="collapse" id="header-buttons"><div class="well"><div class="btn-group"><a data-toggle="modal" role="button" href="#newi" class="btn btn-primary">Новый скриншот</a></div></div></div></div>';
$prevurl_1 = '/account/eshop_my';
$prevname_1 = 'Мои товары';
include('../wu-engine/wu_header.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }

$getid = intval($_GET['id']);
$maths = mysqli_query($connect_db, "SELECT id,ti FROM `".DB_PREFIX."_es` WHERE id='$getid' AND usr = '$u_id'");
$how = mysqli_num_rows($maths);
if ($how > 0) {
$math = mysqli_fetch_assoc($maths);
?>
<!-- Контент -->

<?php
$qr = mysqli_query($connect_db, "SELECT id,img FROM ".DB_PREFIX."_es_i WHERE m='$getid' ORDER BY id DESC");
if (mysqli_num_rows($qr) > 0) {
while($row = mysqli_fetch_array($qr)) {
?>
<div class="panel panel-default">
<div class="panel-heading">
<h6 class="panel-title">Скриншот #<?php echo $row['id']; ?></h6>
<div class="panel-icons-group">
<a href="javascript://" id="bdel_<?php echo $row['id']; ?>" onclick="rdel('<?php echo $row['id']; ?>');" class="btn btn-link btn-icon tip" data-placement="bottom" data-original-title="Удалить"><i class="icon-remove2"></i></a>
</div>
</div>
<div class="panel-body">
<div class="media">
<div class="media-body cpn marnone">
<div class="lightgallerys pull-left marnone">
<a href="/eshop/images/<?php echo $row['img']; ?>" data-sub-html="<?php echo $math['ti']; ?>"><img class="imgeshop" src="/eshop/images/<?php echo $row['img']; ?>" border="0" alt="<?php echo $math['ti']; ?>" title="<?php echo $math['ti']; ?>" /></a>
</div>
</div>
</div>
</div>
</div>
<?php } ?>
<?php } else { echo '<div class="alert alert-info fade in"><i class="icon-info"></i> Вы пока не добавляли скриншоты. Обратите внимание на то, что первый загруженный скриншот будет являться обложкой товара.</div>'; } ?>
<div id="newi" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<form enctype="multipart/form-data" action="javascript:void(null);" id="upli" method="POST">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-plus"></i> Новый скриншот</h4>
</div>
<div class="modal-body with-padding">
<input type="hidden" name="item" value="<?php echo $getid; ?>" />
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<label>Выберите скиншот:</label>
<input type="file" class="styled form-control" name="scr" accept="image/*" />
<span class="help-block">Поддерживаются форматы: jpg, png, gif.<br />Максимальный размер - 1 Мб.</span>
</div>
<div class="modal-footer">
<a class="btn btn-success" href="javascript://" id="iadd" data-loading-text="<i class='icon-spinner7 spin'></i> Добавляем">Добавить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</form>
</div>
</div>
</div>
<div id="rdelete" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-remove"></i> Удаление скриншота #<font id="todel"></font></h4>
</div>
<div class="modal-body with-padding">
<div class="alert alert-danger fade in"><center>Восстановить скриншот будет нельзя</center></div>
</div>
<div class="modal-footer">
<a class="btn btn-danger" href="javascript://" id="rdel" data-loading-text="<i class='icon-spinner7 spin'></i> Удаляем">Удалить</a>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<link href="/wu-static/js/lightgallery/css/lightgallery.min.css" rel="stylesheet">
<script src="/wu-static/js/lightgallery/js/picturefill.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lightgallery.min.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-fullscreen.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-thumbnail.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-video.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-autoplay.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-zoom.js"></script>
<script src="/wu-static/js/lightgallery/js/lg-pager.js"></script>
<script src="/wu-static/js/lightgallery/js/jquery.mousewheel.min.js"></script>
<script type='text/javascript'>
var vrdel;
function rdel(id){
vrdel = id;
$('#todel').text(id);
$('#rdelete').modal('show');
};
$(function() {
var btnr = $('#rdel');
btnr.click(function(){
btnr.button('loading');
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/eshop_screen_del.php',
data: {'id': vrdel, 'token': token},
cache: false,
success: function(result){
btnr.button('reset');
if (result == '0') {
$.jGrowl('Данный скриншот нельзя удалить', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_images/<?php echo $getid; ?>');
}
if (result == '3') {
jerr();
}
},
error: function(){
btnr.button('reset');
serr();
}
});
});
var btns = $('#iadd');
btns.click(function(){
btns.button('loading');
var data = new FormData($('#upli')[0]);
$.ajax({
type: 'POST',
processData: false,
contentType: false,
url: '/wu-engine/wu-actions/eshop_screen_upload.php',
data: data,
cache: false,
success: function(result){
btns.button('reset');
if (result == '0') {
$.jGrowl('Картинка не загружена или имеет неверный формат', { theme: 'growl-error' });
}
if (result == '1') {
$(location).attr('href','/account/eshop_images/<?php echo $getid; ?>');
}
if (result == '3') {
jerr();
}
if (result == '4') {
$.jGrowl('Размер изображения не должен превышать 1 Мб', { theme: 'growl-error' });
}
if (result == '5') {
$.jGrowl('Превышено максимальное количество скриншотов', { theme: 'growl-error' });
}
},
error: function(){
btns.button('reset');
serr();
}
});
});
$('.lightgallerys').lightGallery();
});
</script>
<?php
} else { echo '<div class="alert alert-danger fade in"><i class="icon-warning"></i> У Вас нет такого товара</div>'; }
?>

<?php include('../wu-engine/wu_footer.php'); ?>